[PC-BSD Commits] r922 - in pbibuild/modules/sylpheed: . overlay-dir
svn at pcbsd.org
svn at pcbsd.org
Fri Nov 23 07:49:48 PST 2007
Author: gonzalo
Date: 2007-11-23 07:49:48 -0800 (Fri, 23 Nov 2007)
New Revision: 922
Modified:
pbibuild/modules/sylpheed/overlay-dir/PBI.RemoveScript.sh
pbibuild/modules/sylpheed/pbi.conf
Log:
Sylpheed added. Ready for test
Modified: pbibuild/modules/sylpheed/overlay-dir/PBI.RemoveScript.sh
===================================================================
--- pbibuild/modules/sylpheed/overlay-dir/PBI.RemoveScript.sh 2007-11-23 02:07:51 UTC (rev 921)
+++ pbibuild/modules/sylpheed/overlay-dir/PBI.RemoveScript.sh 2007-11-23 15:49:48 UTC (rev 922)
@@ -10,3 +10,16 @@
rm -fR /usr/local/bin/sylpheed
rm -fR /usr/local/share/doc/sylpheed
rm -fR /usr/local/share/locale/*/LC_MESSAGES/sylpheed.mo
+
+cd /home
+ for i in `ls`
+ do
+ if [ -d "/home/${i}/.sylpheed-2.0" ]
+ then
+ kdialog --title "Uninstalling Sylpheed!" --yesno "Do you want to delete this PBI completely?\nIf you answer 'Yes', configuration files located in /home/${i}/.sylpheed-2.0 will be erased."
+ if [ "$?" = "0" ]
+ then
+ rm -fR /home/${i}/.sylpheed-2.0
+ fi
+ fi
+ done
\ No newline at end of file
Modified: pbibuild/modules/sylpheed/pbi.conf
===================================================================
--- pbibuild/modules/sylpheed/pbi.conf 2007-11-23 02:07:51 UTC (rev 921)
+++ pbibuild/modules/sylpheed/pbi.conf 2007-11-23 15:49:48 UTC (rev 922)
@@ -32,6 +32,6 @@
# Build Key - Change this to anything else to trigger a rebuild
# - The rebuild will take place even if port is still the same ver
-BUILDKEY="01"
+BUILDKEY="02"
export PBIPORT MAKEOPTS PROGNAME PROGWEB PROGAUTHOR OTHERPORT PROGICON PROGLIBS PBIUPDATE BUILDKEY
More information about the Commits
mailing list